# This is my documentation for the Linux course

## Matrix

All communication during the course will be done via [matrix](https://matrix.org/).
You can create an account on our own [local server](https://riot.86thumbs.net/) or choose one of the many providers online.
A *non exhaustive list* can be seen below.

* [nerdsin.space](https://nerdsin.space/#/welcome)
* [matrix.org](https://app.element.io/)
* the bxl [hackerspace](https://app.element.io/) offers accounts too

## Git

Git is a versioning system.
More information can be found on the [main](https://git-scm.com/) website.
A general overview of *how* git works can be seen in th diagram below.

![diagram git](images/git_diagram.png)

### Gitea

You can log in to our personal gitea [here](https://gitea.86thumbs.net).
Feel free to make as many repositories as you want to!
If you want to try out how multiple accounts work together you can create secondary accounts for yourself as well, or invite someone from class to test things out together.

### Practice

As practice you can do the following two exercizes.
I would advise to start with the first one.
Once you understand how branches work you could try the second game which is more riddles than git.

* fully [online](https://www.katacoda.com/courses/git/1) exercizes
* [fracz](https://gitexercises.fracz.com/)
* [git-game](https://github.com/git-game/git-game)

While doing the exercizes it is a *good* idea to keep track of the documentation and tutorials you find online.
At the bare minimum, make a list of links for future reference.
A more complete approach would be to create dedicated paragraphs for each exercize.

